import { createSSRApp } from "vue";
import * as Pinia from "pinia";
import tmui from "./tmui";
import App from "./App.vue";
// @ts-ignore
import api from "@/http";
import title from "./components/title/index.vue";
export function createApp() {
  const app = createSSRApp(App);
  app.config.globalProperties.$api = api;
  app.component("title", title);
  app.use(tmui, { shareDisable: false } as Tmui.tmuiConfig);
  return {
    app,
    Pinia,
  };
}
